extractr docs
TCGPlayer

Get a card by TCGPlayer id

GET
/tcgplayer/get_product

Full detail for a single card by its tcgplayer_id: metadata, plain-text card text, all raw & graded price variants, and price history. The hub the other id-keyed endpoints drill into.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

id*string
Match^\d+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/tcgplayer/get_product?id=659612"
{  "tcgplayer_id": "659612",  "name": "Mega Charizard X ex",  "category": "Pokemon",  "category_id": "3",  "set": "Mega Evolution Promos",  "set_id": "24451",  "card_number": "023",  "rarity": "Promo",  "sub_type": "Holofoil",  "is_card": true,  "image": "https://tcgplayer-cdn.tcgplayer.com/product/659612_in_1000x1000.jpg",  "market_price": 37.63,  "price_change": 0.03,  "price_change_pct": 0.08,  "url": "https://www.tcgplayer.com/product/659612/",  "description": "string",  "tcgplayer_url": "string",  "cardmarket_url": "string",  "total_cards_in_set": 105,  "total_owned": 0,  "sub_types": [    "Holofoil"  ],  "raw_variants": [    {      "sub_type": "Holofoil",      "grade": {        "grade_id": "12",        "company": "PSA",        "grade": "10",        "label": "PSA 10"      },      "market_price": 89.99,      "price_change": -2.72,      "price_change_pct": -9.35,      "image": "string",      "updated_at": "string"    }  ],  "graded_variants": [    {      "sub_type": "Holofoil",      "grade": {        "grade_id": "12",        "company": "PSA",        "grade": "10",        "label": "PSA 10"      },      "market_price": 89.99,      "price_change": -2.72,      "price_change_pct": -9.35,      "image": "string",      "updated_at": "string"    }  ],  "price_history": [    {      "date": "2026-07-20T00:00:00.000Z",      "sub_type": "Holofoil",      "grade": {        "grade_id": "12",        "company": "PSA",        "grade": "10",        "label": "PSA 10"      },      "price": 53.08    }  ],  "updated_at": "string"}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}